Get user profile
curl --request GET \
--url https://mcp.arlohealth.ai/api/profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://mcp.arlohealth.ai/api/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mcp.arlohealth.ai/api/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": {
"accountId": "<string>",
"status": "<string>"
},
"patients": [
{
"patientId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"displayName": "<string>",
"gender": "Female",
"phone": "<string>",
"email": "jsmith@example.com",
"birthDate": {
"year": 123,
"month": 123,
"day": 123
},
"isDefault": true,
"address": "<string>",
"city": "<string>",
"province": "<string>",
"country": "CA",
"zip": "<string>",
"healthNumber": "<string>",
"medications": [
{
"title": "<string>",
"description": "<string>"
}
],
"conditions": [
{
"title": "<string>",
"description": "<string>"
}
],
"allergies": [
{
"title": "<string>",
"severity": "<string>"
}
]
}
],
"billing": {
"billingMode": "NONE",
"paymentStatus": "PENDING",
"freeTrialActive": true,
"freeTrialEndTimestamp": 123,
"nextBillingTimestamp": 123,
"nextBillingAmount": 123,
"paymentOptions": [
{
"id": "<string>",
"title": "<string>",
"price": "<string>",
"description": "<string>",
"priceAmountCents": 123,
"isDefault": true,
"billingMode": "<string>",
"interval": "<string>"
}
]
}
}{
"error": "<string>",
"needsAuth": true
}Profile
Get Profile
Returns the user’s account, patient info, and billing status.
GET
/
api
/
profile
Get user profile
Authorizations
OAuth 2.1 with PKCE
Was this page helpful?
⌘I